[![pipeline status](http://luker.zzzz.io/gitlab/ldooks/dragon-bot/badges/master/pipeline.svg)](http://luker.zzzz.io/gitlab/ldooks/dragon-bot/commits/master)
# README #

A discord bot written in python. 

This project was used mainly to tach members of the discord channel about software development, docker, CI/CD, and for me to learn about project management

### What does this bot do? ###
* This is a chat bot of sorts that connects to our [discord](https://discordapp.com/) channel and interacts with us via chat commands
* This bot has also been an ongoing learning experience for several members of the discord channel. With this bot, I have been able to teach the repo contributors:
	* Docker
	* Git
	* Python
	* CI/CD
	* Collaborative coding practices
	* Testing methodologies
	* Code Accountability

### What is this repository for? ###

* Here we track issues and collaborate on the bot

### How do I get set up? ###

* Install docker
    * as root (`sudo -s`)
    * `curl -Ls get.docker.com | bash`
    * Give yourself docker permissions `sudo usermod -aG docker <your username>`
* Or if you are using OS X
	* `curl -L get.macapps.link/en/docker | bash`
	* Complete the setup steps

### Testing your changes ###
* Build the testing container by running
  * `./test-dragon-bot.sh`
  * The dragon-bot-test bot will connect to the server.
  * If you want to test what the bot is seeing when you type commands, add LOTS of of print statements to dragon-bot.py
  * you will see the output in the terminal. This is useful for debugging
* pipeline [here](https://gitlab.com/ldooks/dragon-bot/pipelines)

### Contribution guidelines ###

* Make your changes
* Test the bot by running `test-dragon-bot.sh` and interacting with the bot in the #test_channel
* Create your pull request
	* bonus points if you include screenshots, terminal output, or even videos of the features on the PR


### Who do I talk to? ###

* Bad dragon in discord
